KausateKausate Docs
Api referenceWebhooks

Create Webhook

Create a new webhook for the organization

POST
/v2/webhooks
X-API-Key<token>

Sign up at Kausate.com to get an API key

In: header

Request Body

application/json

name*string

Name of the webhook

description?|

Optional description

url*string

URL to receive webhook notifications

Formaturi
Length1 <= length
apiVersion?string

API version for the webhook

Default"v1"
status?string

Webhook status

Default"active"
Value in"active" | "inactive"
partnerCustomerId?|

Optional partner customer ID

customHeaders?|

Custom request headers to include in webhook requests

Response Body

application/json

application/json

curl -X POST "https://api.kausate.com/v2/webhooks" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "url": "http://example.com"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "url": "string",
  "apiVersion": "string",
  "status": "active",
  "orgId": "string",
  "partnerCustomerId": "string",
  "customHeaders": {
    "property1": "string",
    "property2": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Last updated on